Show / Hide Table of Contents

# Struct Synchronization.SemaphoreSlimLocker

A locker for a SemaphoreSlim that automatically releases when it is disposed. Create this with Lock(SemaphoreSlim).

##### Implements

IDisposable

##### Inherited Members

ValueType.Equals(Object)
ValueType.GetHashCode()
ValueType.ToString()
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetType()

###### Namespace: IPA.Utilities.Async

###### Assembly: IPA.Loader.dll

##### Syntax

    public struct SemaphoreSlimLocker : IDisposable

### Explicit Interface Implementations

| Improve this Doc View Source

#### IDisposable.Dispose()

##### Declaration

    void IDisposable.Dispose()

### Implements

System.IDisposable

### Extension Methods

ReflectionUtil.SetField(Object, String, Object)
ReflectionUtil.GetField<T>(Object, String)
ReflectionUtil.SetProperty(Object, String, Object)
ReflectionUtil.InvokeMethod(Object, String, Object[])
ReflectionUtil.InvokeMethod<T>(Object, String, Object[])

### See Also

Synchronization
Lock(SemaphoreSlim)